<?php
header("Content-Type: text/html;charset=utf-8");
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

require_once("../data/Conexion.php");
require_once("../data/Tablas.php");
require_once("../clases/cls_control_movimiento.php");

function control_lista_salida(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
		if (isset($_POST["filtro_tienda"]) && isset($_POST["orden"])){
			$items_pagina = 0;
			$items_cantidad = 0;
			$buscar = $_POST["buscar"];
			$tienda = $_POST["filtro_tienda"];
			$fecha_min = $_POST["fecha_min"];
			$fecha_max = $_POST["fecha_max"];
			$ordencambio = $_POST["orden"];
			if (isset($_POST["items_pagina"])){
				$items_pagina = $_POST["items_pagina"];
			}
			if (isset($_POST["items_cantidad"])){
				$items_cantidad = $_POST["items_cantidad"];
			}
			$datos = cls_Group_Control_Movimiento::SalidaTiendaFecha($tienda, $buscar, $fecha_min, $fecha_max);
			$datos->cargar_datos($items_pagina, $items_cantidad);
			$lista = array();
			for ($idx=0; $idx<$datos->get_cantidad_cargados(); $idx++){
				array_push($lista, array(
					"control_movimiento_id"=>$datos->get_control_movimiento_id($idx),
					"origen_id"=>$datos->get_origen_id($idx),
					"origen_nombre"=>$datos->get_origen_nombre($idx),
					"tienda_id"=>$datos->get_tienda_id($idx),
					"tienda_nombre"=>$datos->get_tienda_nombre($idx),
					"almacen_general_id"=>$datos->get_almacen_general_id($idx),
					"almacen_tienda_id"=>$datos->get_almacen_tienda_id($idx),
					"movimiento_id"=>$datos->get_movimiento_id($idx),
					"movimiento_producto_id"=>$datos->get_movimiento_producto_id($idx),
					"producto_id"=>$datos->get_producto_id($idx),
					"producto_nombre"=>$datos->get_producto_nombre($idx),
					"producto_nombre_alternativo"=>$datos->get_producto_nombre_alternativo($idx),
					"producto_codigo"=>$datos->get_producto_codigo($idx),
					"producto_imagen"=>$datos->get_producto_imagen($idx),
					"producto_codigo_barras"=>$datos->get_producto_codigo_barras($idx),
					"producto_fabricante"=>$datos->get_producto_fabricante($idx),
					"producto_modelo"=>$datos->get_producto_modelo($idx),
					"producto_serie"=>$datos->get_producto_serie($idx),
					"producto_stock_minimo"=>$datos->get_producto_stock_minimo($idx),
					"producto_estado"=>$datos->get_producto_estado($idx),
					"unidades"=>$datos->get_unidades($idx),
					"tipo_movimiento"=>$datos->get_tipo_movimiento($idx),
					"movimiento_fecha"=>$datos->get_movimiento_fecha($idx),
					//"activo"=>$datos->get_activo($idx),
				));
			}
			$respuestas["datos"] = $lista;
			$respuestas["estado"]  = "ok";
			$respuestas["mensaje"]  = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function control_lista_ingreso(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
		if (isset($_POST["filtro_tienda"]) && isset($_POST["orden"])){
			$items_pagina = 0;
			$items_cantidad = 0;
			$buscar = $_POST["buscar"];
			$tienda = $_POST["filtro_tienda"];
			$fecha_min = $_POST["fecha_min"];
			$fecha_max = $_POST["fecha_max"];
			$ordencambio = $_POST["orden"];
			if (isset($_POST["items_pagina"])){
				$items_pagina = $_POST["items_pagina"];
			}
			if (isset($_POST["items_cantidad"])){
				$items_cantidad = $_POST["items_cantidad"];
			}
			$datos = cls_Group_Control_Movimiento::IngresoTiendaFecha($tienda, $buscar, $fecha_min, $fecha_max);
			$datos->cargar_datos($items_pagina, $items_cantidad);
			$lista = array();
			for ($idx=0; $idx<$datos->get_cantidad_cargados(); $idx++){
				array_push($lista, array(
					"control_movimiento_id"=>$datos->get_control_movimiento_id($idx),
					"origen_id"=>$datos->get_origen_id($idx),
					"origen_nombre"=>$datos->get_origen_nombre($idx),
					"tienda_id"=>$datos->get_tienda_id($idx),
					"tienda_nombre"=>$datos->get_tienda_nombre($idx),
					"almacen_general_id"=>$datos->get_almacen_general_id($idx),
					"almacen_tienda_id"=>$datos->get_almacen_tienda_id($idx),
					"movimiento_id"=>$datos->get_movimiento_id($idx),
					"movimiento_producto_id"=>$datos->get_movimiento_producto_id($idx),
					"producto_id"=>$datos->get_producto_id($idx),
					"producto_nombre"=>$datos->get_producto_nombre($idx),
					"producto_nombre_alternativo"=>$datos->get_producto_nombre_alternativo($idx),
					"producto_codigo"=>$datos->get_producto_codigo($idx),
					"producto_imagen"=>$datos->get_producto_imagen($idx),
					"producto_codigo_barras"=>$datos->get_producto_codigo_barras($idx),
					"producto_fabricante"=>$datos->get_producto_fabricante($idx),
					"producto_modelo"=>$datos->get_producto_modelo($idx),
					"producto_serie"=>$datos->get_producto_serie($idx),
					"producto_stock_minimo"=>$datos->get_producto_stock_minimo($idx),
					"producto_estado"=>$datos->get_producto_estado($idx),
					"unidades"=>$datos->get_unidades($idx),
					"tipo_movimiento"=>$datos->get_tipo_movimiento($idx),
					"movimiento_fecha"=>$datos->get_movimiento_fecha($idx),
					//"activo"=>$datos->get_activo($idx),
				));
			}
			$respuestas["datos"] = $lista;
			$respuestas["estado"]  = "ok";
			$respuestas["mensaje"]  = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
if (isset($_POST["accion"])){
    if ($_POST["accion"] == "lista_salida"){
		control_lista_salida();
	} else if ($_POST["accion"] == "lista_ingreso"){
		control_lista_ingreso();
    }
}
?>
